packages index is not in /var/cache/software-center with Ubuntu Xenial

Bug #1620801 reported by Cyrille37 on 2016-09-06
60
This bug affects 11 people
Affects Status Importance Assigned to Milestone
unity-lens-applications (Ubuntu)
High
Unassigned

Bug Description

Hi

System: Ubuntu 16.04 LTS (xenial)

The Unity Dash applications lens does not propose "suggestions" for existing but not installed software. Only installed softwares are shown.

I found the error :
com.canonical.Unity.Scope.Applications[3235]: Error loading package indexes: Couldn't stat '/var/cache/software-center/xapian'
com.canonical.Unity.Scope.Applications[3235]: (unity-scope-loader:3994): unity-applications-daemon-CRITICAL **: daemon.vala:144: Failed to load Software Center index. 'Apps Available for Download' will not be listed

applications scope searching for packages index in "/var/cache/software-center/xapian" but this folder does not exists in Ubuntu 16.04 LTS.

Cheers
Cyrille

Cyrille37 (cyrille37) on 2016-09-06
summary: - applications index is not in /var/cache/software-center with Ubuntu
- Xenial
+ packages index is not in /var/cache/software-center with Ubuntu Xenial
tags: added: xenial
tags: added: unity
description: updated
Cyrille37 (cyrille37) wrote :

I do not know if it can help, but I've unity-scope-calculator installed but it does not works too. Typing a calcul (like 5+5) does nothing (no result).

description: updated
description: updated
Sebastien Bacher (seb128) wrote :

right, that index was coming from the old software-center, unsure if gnome-software provides an equivalent that could easily be used instead though

Changed in unity-lens-applications (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Cyrille37 (cyrille37) wrote :

The point I do not understand is that other people seems to not have this problem with their fresh "Ubuntu 16.04 LTS" ... Why on my installation ?

kikito (cma54) wrote :

hello !
maybe same as bug #1601971 ?

Cyrille37 (cyrille37) wrote :

@kikito: I've no problème with update/upgrade with apt-get.

Cyrille37 (cyrille37) wrote :

I've marked 1621106 duplicate of this one.

Coeur Noir (coeur-noir) wrote :

workaround for the moment is :
install (old) software-center

solution would be :
make scope-application look for index in any actually installed software-center-kind-of-app ?

Michel-Ekimia (michel.ekimia) wrote :

can we activate the xapian cache without install the full software-center ?

2 stores is confusing for new users.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers